require 'yaml'
module Sanity
  class CLI
    def self.run
      new.run
    end

    def help
      puts %{Commands are:
      --config generate yaml config
      }
    end

    def config
      config = {development: {email: 'email_you_registered_with@yourdomain.com',
                     token: 'api_token_you_received',
                     url: 'http://sanity-123.herokuapp.com/report'},
       production: {email: 'email_you_registered_with@yourdomain.com',
                     token: 'api_token_you_received',
                     url: 'http://sanity-123.herokuapp.com/report'}}

      puts %{Create config/sanity.yml with contents: }
      puts config.to_yaml
    end

    def run
      case ARGV
      when ["--config"]
        config
      else
        help
      end
    end
  end
end
